# vim: set ts=4 sw=4 et:
#
# spec file for package smplayer-themes
#
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
# Copyright (c) 2017 Packman team: http://packman.links2linux.org/
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org
#


Name:           smplayer-themes
Version:        17.2.0
Release:        lp150.1.1
Summary:        Icon Themes for SMPlayer
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Players
Url:            http://smplayer.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/smplayer/smplayer-themes-%{version}.tar.bz2

BuildRequires:  fdupes
BuildRequires:  libqt4-devel >= 4.2.0
BuildRequires:  make
Requires:       smplayer-core >= 14.9.0
BuildArch:      noarch

%description
This package provides icon themes for SMPlayer.

SMPlayer intends to be a complete front-end for MPlayer, from basic features
like playing videos, DVDs, and VCDs to more advanced features like support
for Mplayer filters and more. One of the main features is the ability to
remember the state of a played file, so when you play it later it will resume
at the same point and with the same settings. smplayer is developed with
the Qt toolkit, so it's multi-platform.

%prep
%setup -q

%build
make \
     V=1 \
     %{?_smp_mflags}

%install
make \
     V=1 \
     %{?_smp_mflags} \
     PREFIX=%{_prefix} \
     DESTDIR=%{buildroot} \
     install
%fdupes -s "%{buildroot}%{_datadir}/smplayer"

%files
%defattr(-,root,root)
%doc Changelog README.txt
%dir %{_datadir}/smplayer
%dir %{_datadir}/smplayer/themes
%{_datadir}/smplayer/themes/*

%changelog
* Sun Feb  5 2017 aloisio@gmx.com
- Update to version 17.2.0
  * Update the themes Papirus and PapirusDark.
  * Add the theme ePapirus.
* Sun Sep 11 2016 dap.darkness@gmail.com
- Update to 16.8.0
  * Update the themes H2O, Masalla, Papirus and PapirusDark.
* Sun Jun  5 2016 dap.darkness@gmail.com
- Update to 16.6.0
  * Add the themes Papirus and PapirusDark.
* Sun May 15 2016 dap.darkness@gmail.com
- Update to 16.5.2 (changes from 15.6.0):
  * New themes Breeze and Breeze-dark by andreas_k;
  * Add a record icon to the H2O theme;
  * Change the AutohideWidget border in the H2O theme;
  * Add the Masalla theme;
  * Update the H2O theme;
  * Some fixes.
* Tue Jun 16 2015 dap.darkness@gmail.com
- Update to 15.6.0
  * Added experimental theme H2O. Still work in progress.
* Sat Mar 14 2015 dap.darkness@gmail.com
- Update to 14.12.0
  * New themes Faenza, Faenza-Darkest and Faenza-Silver, by
    Michele Angelico (tomberro at gmail dot com). Icons from
    http://qt-apps.org/content/show.php/smplayer-theme-faenza?content=156022
  * New theme Oxygen-KDE, by Ralsa Marsh (ralsa at autistici dot org)
* Sun Sep  7 2014 dap.darkness@gmail.com
- Update to 14.9.0
  * no upstream changelog.
* Sat Jul 12 2014 dap.darkness@gmail.com
- Update to 20140607:
  * no upstream changelog.
- Switched to download_files service.
- Removed clean section.
* Wed Apr  2 2014 tittiatcoke@gmail.com
- Update to 20131003
* Tue Oct  9 2012 i@margueirte.su
- update to 20120919
  * Add Monochrome theme, by goetzc.
    http://smplayer.sourceforge.net/forum/viewtopic.php?f=7&t=5592
* Wed Mar  3 2010 pascal@links2linux.de
- update to 0.1.20
* Thu Nov 26 2009 pascal.bleser@opensuse.org
- update to SVN revision 3327
* Mon Mar  2 2009 guru@unixtech.be
- update to 0.1.19
* Sat Oct 25 2008 guru@unixtech.be
- update to 0.1.17
* Wed Sep 12 2007 guru@unixtech.be
- moved to Packman
- new upstream version
* Thu Aug 23 2007 guru@unixtech.be
- new upstream version
* Sat Jun 23 2007 guru@unixtech.be
- new package
